/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_VOOTRECHO                                                */
/* Tabela : VOOTRECHO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_VOOTRECHO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_VOOTRECHO
GO

CREATE TRIGGER DTULTATU_VOOTRECHO
ON VOOTRECHO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'VOOTRECHO', null, 'CDFILIAL='+ CDFILIAL+ ';'+
                                        'CDCIA='   + CDCIA   + ';'+
                                        'NRVOO='   + NRVOO   + ';'+
                                        'CDTRECHO='+ CDTRECHO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE VOOTRECHO
      SET DTULTATUTREC = GETDATE()
      FROM INSERTED;
   END;
END;
GO

